Namespaces | Enumerations | Functions
EPubToken.h File Reference
`#include "EBOOKToken.h"`

Go to the source code of this file.

## Namespaces
namespace | libebook
namespace | libebook::EPubToken

## Enumerations
enum | { libebook::EPubToken::INVALID_TOKEN = 0 , libebook::EPubToken::FIRST_TOKEN = EBOOKToken<EPubParser>::FIRST_TOKEN , libebook::EPubToken::container , libebook::EPubToken::xml , libebook::EPubToken::xmlns , libebook::EPubToken::rootfiles , libebook::EPubToken::rootfile , libebook::EPubToken::signatures , libebook::EPubToken::encryption , libebook::EPubToken::version , libebook::EPubToken::full_path , libebook::EPubToken::media_type , libebook::EPubToken::_1_0 , libebook::EPubToken::MIME_epub , libebook::EPubToken::MIME_opf , libebook::EPubToken::LAST_TOKEN }
enum | libebook::EPubToken::Namespace { libebook::EPubToken::NS_container = container << 16 , libebook::EPubToken::NS_xml = xml << 16 , libebook::EPubToken::NS_xmlns = xmlns << 16 }

## Functions
int | libebook::getEPubTokenId (const char *const name, const char *const ns)
int | libebook::getEPubTokenId (const char *const name, const std::size_t nameLen, const char *const ns, const std::size_t nsLen)
int | libebook::getEPubTokenId (const char *const name, const std::size_t nameLen)